Class | CSV::IOReader
In: | csv.rb
Parent: | Reader

### Methods

close_on_terminate new

### Public Class methods

new(io, fs = ',', rs = nil)

[Source]

    # File csv.rb, line 616
        def initialize(io, fs = ',', rs = nil)
          @io = io
          @fs = fs
          @rs = rs
          @dev = CSV::IOBuf.new(@io)
          @idx = 0
          if @dev[0] == 0xef and @dev[1] == 0xbb and @dev[2] == 0xbf
            @idx += 3
          end
          @close_on_terminate = false
        end

### Public Instance methods

close_on_terminate()

Tell this reader to close the IO when terminated (Triggered by invoking CSV::IOReader#close).

[Source]

    # File csv.rb, line 630
        def close_on_terminate
          @close_on_terminate = true
        end

[Validate]